{
  "name": "@kevisual/codemirror",
  "version": "0.0.1",
  "description": "",
  "main": "index.js",
  "basename": "/root/codemirror",
  "scripts": {
    "dev": "vite",
    "build": "vite build",
    "pub": "envision deploy ./dist -k codemirror -v 0.0.1 -u -o root"
  },
  "files": [
    "src"
  ],
  "keywords": [],
  "author": "abearxiong <xiongxiao@xiongxiao.me>",
  "license": "MIT",
  "type": "module",
  "dependencies": {
    "@codemirror/autocomplete": "^6.18.6",
    "@codemirror/commands": "^6.8.1",
    "@codemirror/lang-css": "^6.3.1",
    "@codemirror/lang-html": "^6.4.9",
    "@codemirror/lang-javascript": "^6.2.3",
    "@codemirror/lang-json": "^6.0.1",
    "@codemirror/lang-markdown": "^6.3.2",
    "@codemirror/lang-yaml": "^6.1.2",
    "@codemirror/language": "^6.11.0",
    "@codemirror/state": "^6.5.2",
    "@codemirror/view": "^6.36.5",
    "@emotion/react": "^11.14.0",
    "@emotion/styled": "^11.14.0",
    "@kevisual/components": "workspace:*",
    "@kevisual/router": "^0.0.10",
    "@kevisual/store": "^0.0.4",
    "@mui/material": "^7.0.1",
    "@types/lodash-es": "^4.17.12",
    "@types/nprogress": "^0.2.3",
    "@uiw/codemirror-theme-duotone": "^4.23.10",
    "@uiw/codemirror-theme-vscode": "^4.23.10",
    "@vitejs/plugin-basic-ssl": "^2.0.0",
    "codemirror": "^6.0.1",
    "dayjs": "^1.11.13",
    "highlight.js": "^11.11.1",
    "immer": "^10.1.1",
    "lodash-es": "^4.17.21",
    "lucide-react": "^0.487.0",
    "marked": "^15.0.7",
    "marked-highlight": "^2.2.1",
    "nanoid": "^5.1.5",
    "nprogress": "^0.2.0",
    "prettier": "^3.5.3",
    "pretty-bytes": "^6.1.1",
    "react": "19.1.0",
    "react-datepicker": "^8.2.1",
    "react-dom": "19.1.0",
    "react-dropzone": "^14.3.8",
    "react-toastify": "^11.0.5",
    "zustand": "^5.0.3"
  },
  "devDependencies": {
    "@kevisual/types": "^0.0.6"
  },
  "exports": {
    ".": "./src/index.tsx",
    "./*": "./src/*"
  }
}